# TestDisk Compilación

### From CGSecurity

english version deutsche Version versión español version française Русская версия

Este documento explica como compilar TestDisk y PhotoRec.

## Bibliotecas

- libncurses - Requerida, TestDisk y PhotoRec usa una interfaz de usuario de texto, la biblioteca Ncurses y los archivos de desarrollo deben estar disponibles.
- Biblioteca Ext2fs - Opcional, usada por TestDisk para listar archivos de la partición ext2/ext3
- Biblioteca EWF - Opcional, TestDisk y PhotoRec la usan para acceder archivos en Express Witness Compression Format (EWF), por ejemplo, archivos Encase.
- Biblioteca Jpeg - Opcional, usada por TestDisk para mejorar la tasa de recuperación de JPEG
- Biblioteca NTFS - Opcional, usada por TestDisk para listar archivos de la partición NTFS
- Biblioteca Reiserfs - Opcional, usada por TestDisk para listar archivos de la partición reiserfs

### Biblioteca Ext2fs

La biblioteca Ext2fs es generalmente instalada con su sistema operativo, así que no necesita compilarla usted mismo. De no ser así obtenga la última versión de e2fsprogs en e2fsprogs.sf.net

    tar xzf e2fsprogs-1.38.tgz
    cd e2fsprogs-1.38
    ./configure --with-cc=gcc
    make libs
    make install

### Biblioteca EWF

El código fuente de la biblioteca EWF puede ser descargado de www.uitwisselplatform.nl/projects/libewf/.

    tar xzf libewf-beta-20070408.tar.gz
    cd libewf-20070408
    ./configure
    make lib
    make install

### Biblioteca Jpeg

La biblioteca Libjpeg generalmente está instalada con su sistema operativo, asá que no es necesario que la compile. De no ser así descargue el fuente de libjpeg de ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.gz

    tar xzf jpegsrc.v6b.tar.gz
    cd jpeg-6b
    ./configure --enable-shared --enable-static
    make
    sudo make install

Mac OS X 10.3 viene con GNU libtool, aunque con un nombre ligeramente distinto, glibtool. Puede tener que ejecutar

    ln -s `which glibtool` ./libtool

### Como compilar ntfsprogs

Obtenga la última versión de ntfsprogs de linux-ntfs.sf.net

    tar xzf ntfsprogs-1.13.0.tar.gz
    cd ntfsprogs-1.13.0
    ./configure
    make libs
    make install

Para obtener una versión funcional bajo NT 4, use `configure --disable-default-device-io-ops` ya que el SetFilePointerEx usado por win32_io.c no está exportado en NT 4 DLL.

### Biblioteca ReiserFS

Obtenga progsreiserfs-0.3.1-rc8.tar.gz en reiserfs.osdn.org.ua

    tar xzf progsreiserfs-*.tar.gz
    cd progreiserfs-0.3.1-rc8
    ./configure --disable-nls
    make
    make install

## Como compilar TestDisk

### Método estándar

Para compilar TestDisk y PhotoRec, ejecute

    ./configure
    make

Quizás necesite especificar parámetros para configurarlo, ver configure --help.
Ejemplo:

    ./configure
    --with-reiserfs-lib=/home/kmaster/perso/testdisk-5.2/progsreiserfs-0.3.1-rc8/libreiserfs/.libs/
    --with-reiserfs-includes=/home/kmaster/perso/testdisk-5.2/progsreiserfs-0.3.1-rc8/include/
    --with-ntfs-lib=/home/kmaster/perso/testdisk-5.2/ntfsprogs-1.8.5/libntfs/.libs/
    --with-ntfs-includes=/home/kmaster/perso/testdisk-5.2/ntfsprogs-1.8.5/include/
    --with-ext2fs-lib=/home/kmaster/perso/testdisk-5.2/e2fsprogs-1.34/lib
    --with-ext2fs-includes=/home/kmaster/perso/testdisk-5.2/e2fsprogs-1.34/lib

### Versión estática

Si necesita ejecutar el binario en un sistema que carece de alguna de las bibliotecas anteriores, puede crear un binario estático con

    make static

### Binario comprimido estático

Si necesita un pequeño binario para una distribución binaria, obtenga el UPX packer en upx.sf.net y ejecute

    strip src/testdisk src/photorec
    upx src/testdisk src/photorec

Notar que UPX de Linux necesita descomprimir archivos de programa antes de ejecutarse, y que va a requerir algo de espacio en /tmp para hacerlo. El ejecutable debe tener permisos en este directorio (estos permisos se pueden otorgar utilizando `mount -o remount,exec /tmp`).

## Notas de Sistemas Operativos

Por favor, lea las notas sobre su Sistema Operativo:

- DOS
- GNU/Linux
- Win
- Mac OS X

## Compilación Cross

- Linux a PowerPC Darwin/Mac OS X compilador cross

Volver a la página TestDisk (Castellano)

Category: Data Recovery

##### Data Recovery

- TestDisk
- PhotoRec
- download